## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanNamespacesStack::XalanNamespacesStackEntry Class Reference

Collaboration diagram for XalanNamespacesStack::XalanNamespacesStackEntry:

[legend]
List of all members.

## Public Types

- typedef XalanNamespace value_type
- typedef XalanDeque< value_type > NamespaceCollectionType
- typedef const XalanDOMString
  &(value_type::* MemberFunctionType )() const
- typedef NamespaceCollectionType::iterator iterator
- typedef NamespaceCollectionType::reverse_iterator reverse_iterator
- typedef NamespaceCollectionType::const_iterator const_iterator
- typedef NamespaceCollectionType::const_reverse_iterator const_reverse_iterator

## Public Member Functions

- XalanNamespacesStackEntry (MemoryManagerType &theManager)
- XalanNamespacesStackEntry (const XalanNamespacesStackEntry &theSource, MemoryManagerType &theManager)
- ~XalanNamespacesStackEntry ()
- XalanNamespacesStackEntry & set (const XalanNamespacesStackEntry &theRHS, MemoryManagerType &theManager)
- void addDeclaration (const XalanDOMString &thePrefix, const XalanDOMChar *theNamespaceURI, XalanDOMString::size_type theLength)
- const XalanDOMString * getNamespaceForPrefix (const XalanDOMString &thePrefix) const
    Get the namespace for a prefix.
- const XalanDOMString * getPrefixForNamespace (const XalanDOMString &theURI) const
    Get the prefix for a namespace.
- bool isPrefixPresent (const XalanDOMString &thePrefix) const
- iterator begin ()
- const_iterator begin () const
- iterator end ()
- const_iterator end () const
- reverse_iterator rbegin ()
- const_reverse_iterator rbegin () const
- reverse_iterator rend ()
- const_reverse_iterator rend () const
- void clear ()
- void reset ()
- void swap (XalanNamespacesStackEntry &theOther)

## Member Typedef Documentation

typedef NamespaceCollectionType::const_iterator XalanNamespacesStack::XalanNamespacesStackEntry::const_iterator

typedef NamespaceCollectionType::const_reverse_iterator XalanNamespacesStack::XalanNamespacesStackEntry::const_reverse_iterator

typedef NamespaceCollectionType::iterator XalanNamespacesStack::XalanNamespacesStackEntry::iterator

typedef const XalanDOMString&(value_type::* XalanNamespacesStack::XalanNamespacesStackEntry::MemberFunctionType)() const

typedef XalanDeque<value_type> XalanNamespacesStack::XalanNamespacesStackEntry::NamespaceCollectionType

typedef NamespaceCollectionType::reverse_iterator XalanNamespacesStack::XalanNamespacesStackEntry::reverse_iterator

typedef XalanNamespace XalanNamespacesStack::XalanNamespacesStackEntry::value_type

## Constructor & Destructor Documentation

XalanNamespacesStack::XalanNamespacesStackEntry::XalanNamespacesStackEntry | ( | MemoryManagerType & | theManager | ) |

XalanNamespacesStack::XalanNamespacesStackEntry::XalanNamespacesStackEntry | ( | const XalanNamespacesStackEntry & | theSource,
|  | MemoryManagerType & | theManager
| ) |

XalanNamespacesStack::XalanNamespacesStackEntry::~XalanNamespacesStackEntry | ( |  | ) |

## Member Function Documentation

void XalanNamespacesStack::XalanNamespacesStackEntry::addDeclaration | ( | const XalanDOMString & | thePrefix,
|  | const XalanDOMChar * | theNamespaceURI,
|  | XalanDOMString::size_type | theLength
| ) |

const_iterator XalanNamespacesStack::XalanNamespacesStackEntry::begin | ( |  | ) | const

iterator XalanNamespacesStack::XalanNamespacesStackEntry::begin | ( |  | ) |

void XalanNamespacesStack::XalanNamespacesStackEntry::clear | ( |  | ) |

const_iterator XalanNamespacesStack::XalanNamespacesStackEntry::end | ( |  | ) | const

iterator XalanNamespacesStack::XalanNamespacesStackEntry::end | ( |  | ) |

const XalanDOMString* XalanNamespacesStack::XalanNamespacesStackEntry::getNamespaceForPrefix | ( | const XalanDOMString & | thePrefix | ) | const

Get the namespace for a prefix.

Parameters:

  thePrefix | The prefix to find

Returns:
  pointer to the string value if found, otherwise 0.

const XalanDOMString* XalanNamespacesStack::XalanNamespacesStackEntry::getPrefixForNamespace | ( | const XalanDOMString & | theURI | ) | const

Get the prefix for a namespace.

Parameters:

  theURI | The namespace URI to find

Returns:
  pointer to the string value if found, otherwise 0.

bool XalanNamespacesStack::XalanNamespacesStackEntry::isPrefixPresent | ( | const XalanDOMString & | thePrefix | ) | const

const_reverse_iterator XalanNamespacesStack::XalanNamespacesStackEntry::rbegin | ( |  | ) | const

reverse_iterator XalanNamespacesStack::XalanNamespacesStackEntry::rbegin | ( |  | ) |

const_reverse_iterator XalanNamespacesStack::XalanNamespacesStackEntry::rend | ( |  | ) | const

reverse_iterator XalanNamespacesStack::XalanNamespacesStackEntry::rend | ( |  | ) |

void XalanNamespacesStack::XalanNamespacesStackEntry::reset | ( |  | ) |

XalanNamespacesStackEntry& XalanNamespacesStack::XalanNamespacesStackEntry::set | ( | const XalanNamespacesStackEntry & | theRHS,
|  | MemoryManagerType & | theManager
| ) |

void XalanNamespacesStack::XalanNamespacesStackEntry::swap | ( | XalanNamespacesStackEntry & | theOther | ) |

The documentation for this class was generated from the following file:

- XalanNamespacesStack.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.